Bug 189630

Summary: finance/gnucash finance/gnucash-docs: Update to 2.6.3
Product: Ports & Packages Reporter: Guido Falsi <madpilot>
Component: Individual Port(s)Assignee: freebsd-gnome (Nobody) <gnome>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Guido Falsi 2014-05-10 21:00:00 UTC
- Update to 2.6.3
- Add USES=libtool
- Convert to USES=tar

I made it not install .la files, they shouldn't be needed.
Comment 1 Edwin Groothuis freebsd_committer 2014-05-10 21:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-05-12 09:52:44 UTC
Author: madpilot
Date: Mon May 12 08:52:39 2014
New Revision: 353784
URL: http://svnweb.freebsd.org/changeset/ports/353784
QAT: https://qat.redports.org/buildarchive/r353784/

Log:
  - Update gnucash and gnucash-docs to 2.6.3
  - Add USES=libtool to gnucash
  
  PR:		ports/189630
  Submitted by:	me
  Approved by:	kwm (gnome)

Modified:
  head/finance/gnucash-docs/Makefile
  head/finance/gnucash-docs/distinfo
  head/finance/gnucash-docs/pkg-plist
  head/finance/gnucash/Makefile
  head/finance/gnucash/distinfo
  head/finance/gnucash/pkg-plist

Modified: head/finance/gnucash-docs/Makefile
==============================================================================
--- head/finance/gnucash-docs/Makefile	Mon May 12 08:03:35 2014	(r353783)
+++ head/finance/gnucash-docs/Makefile	Mon May 12 08:52:39 2014	(r353784)
@@ -3,8 +3,7 @@
 #   $MCom: ports/finance/gnucash-docs/Makefile,v 1.7 2007/08/04 03:51:29 marcus Exp $
 
 PORTNAME=	gnucash-docs
-PORTVERSION=	2.6.2
-PORTREVISION=	1
+PORTVERSION=	2.6.3
 CATEGORIES=	finance gnome
 MASTER_SITES=	SF/gnucash/${PORTNAME}/${PORTVERSION} \
 		http://www.gnucash.org/pub/gnucash/sources/stable/ \

Modified: head/finance/gnucash-docs/distinfo
==============================================================================
--- head/finance/gnucash-docs/distinfo	Mon May 12 08:03:35 2014	(r353783)
+++ head/finance/gnucash-docs/distinfo	Mon May 12 08:52:39 2014	(r353784)
@@ -1,2 +1,2 @@
-SHA256 (gnucash-docs-2.6.2.tar.gz) = 1979d38206b45e54d1ed9bcbe28dbc0881b436073f2d275e2cf9c321aa4e8535
-SIZE (gnucash-docs-2.6.2.tar.gz) = 58834976
+SHA256 (gnucash-docs-2.6.3.tar.gz) = ea0ee0d9f1e768018a6e3c48b46bf825a822fd7d169fe2ac2adbff819cdeeddf
+SIZE (gnucash-docs-2.6.3.tar.gz) = 58835557

Modified: head/finance/gnucash-docs/pkg-plist
==============================================================================
--- head/finance/gnucash-docs/pkg-plist	Mon May 12 08:03:35 2014	(r353783)
+++ head/finance/gnucash-docs/pkg-plist	Mon May 12 08:52:39 2014	(r353784)
@@ -709,15 +709,6 @@ share/gnome/help/gnucash-help/it/figures
 share/gnome/help/gnucash-help/it/figures/right.png
 share/gnome/help/gnucash-help/it/figures/up.png
 share/gnome/help/gnucash-help/it/gnucash-help.xml
-share/omf/gnucash-guide/gnucash-guide-C.omf
-share/omf/gnucash-guide/gnucash-guide-de.omf
-share/omf/gnucash-guide/gnucash-guide-it.omf
-share/omf/gnucash-guide/gnucash-guide-ja.omf
-share/omf/gnucash-help/gnucash-help-C.omf
-share/omf/gnucash-help/gnucash-help-de.omf
-share/omf/gnucash-help/gnucash-help-it.omf
-@dirrm share/omf/gnucash-help
-@dirrm share/omf/gnucash-guide
 @dirrm share/gnome/help/gnucash-help/it/figures
 @dirrm share/gnome/help/gnucash-help/it
 @dirrm share/gnome/help/gnucash-help/de/figures

Modified: head/finance/gnucash/Makefile
==============================================================================
--- head/finance/gnucash/Makefile	Mon May 12 08:03:35 2014	(r353783)
+++ head/finance/gnucash/Makefile	Mon May 12 08:52:39 2014	(r353784)
@@ -2,8 +2,7 @@
 #   $MCom: ports/finance/gnucash/Makefile,v 1.26 2008/12/31 03:25:18 mezz Exp $
 
 PORTNAME=	gnucash
-PORTVERSION=	2.6.2
-PORTREVISION=	1
+PORTVERSION=	2.6.3
 CATEGORIES=	finance gnome
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}%20%28stable%29/${PORTVERSION}
 
@@ -52,8 +51,7 @@ GTKMM_CONFIGURE_ON=	--enable-gtkmm
 GTKMM_CONFIGURE_OFF=	--disable-gtkmm
 
 USE_XORG=	x11
-USE_BZIP2=	yes
-USES=		desktop-file-utils gettext gmake perl5 pkgconfig shebangfix
+USES=		desktop-file-utils gettext gmake libtool perl5 pkgconfig shebangfix tar:bzip2
 INSTALLS_ICONS=	yes
 USE_GNOME+=	gtk20 libgnomecanvas libxml2 libxslt:build
 GNU_CONFIGURE=	yes

Modified: head/finance/gnucash/distinfo
==============================================================================
--- head/finance/gnucash/distinfo	Mon May 12 08:03:35 2014	(r353783)
+++ head/finance/gnucash/distinfo	Mon May 12 08:52:39 2014	(r353784)
@@ -1,2 +1,2 @@
-SHA256 (gnucash-2.6.2.tar.bz2) = c920461b1c152f035672f431f33867534ddfac0efbb15fa7535b8c11a5be0e4d
-SIZE (gnucash-2.6.2.tar.bz2) = 10811380
+SHA256 (gnucash-2.6.3.tar.bz2) = 02104c1d6a563d1209e2116dcca7fa9e28445b0e3335bedbcae85c834b17d93f
+SIZE (gnucash-2.6.3.tar.bz2) = 10822437

Modified: head/finance/gnucash/pkg-plist
==============================================================================
--- head/finance/gnucash/pkg-plist	Mon May 12 08:03:35 2014	(r353783)
+++ head/finance/gnucash/pkg-plist	Mon May 12 08:52:39 2014	(r353784)
@@ -222,98 +222,67 @@ include/gnucash/table-model.h
 include/gnucash/tree-view-utils.h
 include/gnucash/window-main-summarybar.h
 include/gnucash/window-report.h
-%%PYTHON%%lib/gnucash/libgncmod-app-utils-python.la
 %%PYTHON%%lib/gnucash/libgncmod-app-utils-python.so
 %%PYTHON%%lib/gnucash/libgncmod-app-utils-python.so.0
-lib/gnucash/libgncmod-app-utils.la
 lib/gnucash/libgncmod-app-utils.so
-%%AQBANKING%%lib/gnucash/libgncmod-aqbanking.la
 %%AQBANKING%%lib/gnucash/libgncmod-aqbanking.so
-%%DATABASE%%lib/gnucash/libgncmod-backend-dbi.la
 %%DATABASE%%lib/gnucash/libgncmod-backend-dbi.so
-lib/gnucash/libgncmod-backend-xml.la
 lib/gnucash/libgncmod-backend-xml.so
-lib/gnucash/libgncmod-bi_import.la
 lib/gnucash/libgncmod-bi_import.so
-lib/gnucash/libgncmod-business-gnome.la
 lib/gnucash/libgncmod-business-gnome.so
-lib/gnucash/libgncmod-csv-export.la
 lib/gnucash/libgncmod-csv-export.so
-lib/gnucash/libgncmod-csv-import.la
 lib/gnucash/libgncmod-csv-import.so
-lib/gnucash/libgncmod-customer_import.la
 lib/gnucash/libgncmod-customer_import.so
-lib/gnucash/libgncmod-engine.la
 lib/gnucash/libgncmod-engine.so
-lib/gnucash/libgncmod-generic-import.la
 lib/gnucash/libgncmod-generic-import.so
-lib/gnucash/libgncmod-gnome-search.la
 lib/gnucash/libgncmod-gnome-search.so
-lib/gnucash/libgncmod-gnome-utils.la
 lib/gnucash/libgncmod-gnome-utils.so
-%%GTKMM%%lib/gnucash/libgncmod-gtkmm.la
 %%GTKMM%%lib/gnucash/libgncmod-gtkmm.so
-lib/gnucash/libgncmod-html.la
 lib/gnucash/libgncmod-html.so
-lib/gnucash/libgncmod-ledger-core.la
 lib/gnucash/libgncmod-ledger-core.so
-lib/gnucash/libgncmod-locale-reports-us.la
 lib/gnucash/libgncmod-locale-reports-us.so
-lib/gnucash/libgncmod-log-replay.la
 lib/gnucash/libgncmod-log-replay.so
-%%OFX%%lib/gnucash/libgncmod-ofx.la
 %%OFX%%lib/gnucash/libgncmod-ofx.so
-%%PYTHON%%lib/gnucash/libgncmod-python.la
 %%PYTHON%%lib/gnucash/libgncmod-python.so
-lib/gnucash/libgncmod-qif-import.la
 lib/gnucash/libgncmod-qif-import.so
-lib/gnucash/libgncmod-qif.la
 lib/gnucash/libgncmod-qif.so
 lib/gnucash/libgncmod-qif.so.0
-lib/gnucash/libgncmod-register-core.la
+lib/gnucash/libgncmod-qif.so.0.0.0
 lib/gnucash/libgncmod-register-core.so
-lib/gnucash/libgncmod-register-gnome.la
 lib/gnucash/libgncmod-register-gnome.so
-lib/gnucash/libgncmod-report-gnome.la
 lib/gnucash/libgncmod-report-gnome.so
-lib/gnucash/libgncmod-report-system.la
 lib/gnucash/libgncmod-report-system.so
-lib/gnucash/libgncmod-standard-reports.la
 lib/gnucash/libgncmod-standard-reports.so
-lib/gnucash/libgncmod-stylesheets.la
 lib/gnucash/libgncmod-stylesheets.so
-lib/gnucash/libgncmod-tax-us.la
 lib/gnucash/libgncmod-tax-us.so
-lib/gnucash/libgncmod-utility-reports.la
 lib/gnucash/libgncmod-utility-reports.so
-lib/libgnc-backend-sql.la
 lib/libgnc-backend-sql.so
 lib/libgnc-backend-sql.so.0
-lib/libgnc-backend-xml-utils.la
+lib/libgnc-backend-sql.so.0.0.0
 lib/libgnc-backend-xml-utils.so
 lib/libgnc-backend-xml-utils.so.0
-lib/libgnc-business-ledger.la
+lib/libgnc-backend-xml-utils.so.0.0.0
 lib/libgnc-business-ledger.so
 lib/libgnc-business-ledger.so.0
-%%PYTHON%%lib/libgnc-core-utils-python.la
+lib/libgnc-business-ledger.so.0.0.0
 %%PYTHON%%lib/libgnc-core-utils-python.so
 %%PYTHON%%lib/libgnc-core-utils-python.so.0
-lib/libgnc-core-utils.la
+%%PYTHON%%lib/libgnc-core-utils-python.so.0.0.0
 lib/libgnc-core-utils.so
 lib/libgnc-core-utils.so.0
-lib/libgnc-gnome.la
+lib/libgnc-core-utils.so.0.0.0
 lib/libgnc-gnome.so
 lib/libgnc-gnome.so.0
-lib/libgnc-module.la
+lib/libgnc-gnome.so.0.0.0
 lib/libgnc-module.so
 lib/libgnc-module.so.0
-lib/libgnc-qof.la
+lib/libgnc-module.so.0.0.0
 lib/libgnc-qof.so
 lib/libgnc-qof.so.1
+lib/libgnc-qof.so.1.0.4
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/gnucash/__init__.py
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/gnucash/__init__.pyc
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/gnucash/__init__.pyo
-%%PYTHON%%%%PYTHON_SITELIBDIR%%/gnucash/_gnucash_core_c.la
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/gnucash/_gnucash_core_c.so
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/gnucash/function_class.py
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/gnucash/function_class.pyc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Guido Falsi freebsd_committer 2014-05-12 09:52:55 UTC
State Changed
From-To: open->closed

Committed. Thanks!